madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000555madVRbugpublic2018-05-08 14:382019-03-04 12:35
ReporterAlessa 
Assigned Tomadshi 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionreopened 
PlatformWindowsOSWindows 7 x64 Service Pack 1OS Version7601
Summary0000555: anoying Osd nag to update LAV filters always on with no way to disable it..
DescriptionI have to use the old version of LAV audio decoders because the new one makes a sound of lesser audiophile quality.
the anoying Osd nag "Please update Lavfilters to the latest version..." is always on at the begining of every video.
I could not find any way to disable it.
It prevents me from being able to make Public presentations of videos playlists using Madvr because it ruins the experience to have this OSD message at the begining of every video..
TagsNo tags attached.
madVR Version0.92.17
Media Player (with version info)MPC-HC 1.7.9
Splitter (with version info)0.68.1.33-git
Decoder (with version info)0.68.1.33-git
DecodingDXVA2 Native
Deinterlacingauto mode
DXVA2 Scaling Activeno
Aero / Desktop CompositionOff
Problem occurs with modeall modes
GPU ManufacturerNVidia
GPU ModelGTX 970
GPU Driver Version390.77
Attached Files

- Relationships

-  Notes
(0002285)
madshi (administrator)
2018-05-08 22:36

How do newer LAV versions reduce audiophile quality? Isn't this something you should discuss with the LAV developer?

I've been regularly receiving crash reports from older LAV versions. The crash occurs in LAV, but madVR detects the crash and reports it to the user. As a result, it's me getting all the crash notifications and user support requests. These crashes only occurred with older LAV versions and were fixed in newer builds. That's why madVR complains about LAV versions which are known to cause crashes.
(0002286)
Alessa (reporter)
2018-05-09 01:21

Thanks, I understand your reason for making this update LAV message impossible to remove, and you are right I should discuss the diminishing audiophile quality of newer audio LAV filters with LAV devellopers.
It is just in the mean time I was hoping to find a workaround to avoid seeing always "Please update Lavfilters to the latest version..." until the newer LAV version get better audio quality.
(0002287)
madshi (administrator)
2018-05-09 09:00

Well, you're the only user asking for this, so the question for me is if it's worth spending development time on just adding a new feature for one user. My development time is very limited at the moment, anyway. So I prefer to spend my time on things that are beneficial to as many users as possible.

I'd say if there's a valid technical reason why older LAV versions had better audio quality, and if nevcairiel refuses to fix the issue, for some reason, then I'd be willing to add an undocumented hack for you to disable the madVR warnings message. But otherwise please have patience and let nevcairiel take care of the problem. Of course you should properly report it to him, with as many details and explanations as necessary for him to understand and fix the problem.
(0002288)
Alessa (reporter)
2018-05-09 10:18
edited on: 2018-05-09 11:28

Thanks, i will try to pinpoint at wich LAV filter version the audio start lost quality exactly and report the issue to nevcairiel in the hope that it can get fixed.

(0002380)
madshi (administrator)
2018-09-17 23:47

I'll close this for now. If there's a need to reopen, feel free to do that.
(0002494)
Muhd (reporter)
2019-03-03 14:30

This is still happening with newest version of LAV and newest version of madVR
(0002495)
madshi (administrator)
2019-03-03 14:52

Is it possible you have multiple LAV installations on your PC? E.g. some media players ship with their own private LAV installation. If madVR complains about the LAV version, it's *probably* a correct warning.
(0002498)
Muhd (reporter)
2019-03-04 12:35
edited on: 2019-03-04 12:35

Ah yes that's what happened. The media player was using LAV from another player's installation. I updated the LAV in that directory and now it is actually using the newest version.

Thanks


- Issue History
Date Modified Username Field Change
2018-05-08 14:38 Alessa New Issue
2018-05-08 22:36 madshi Note Added: 0002285
2018-05-08 22:36 madshi Assigned To => madshi
2018-05-08 22:36 madshi Status new => feedback
2018-05-09 01:21 Alessa Note Added: 0002286
2018-05-09 01:21 Alessa Status feedback => assigned
2018-05-09 09:00 madshi Note Added: 0002287
2018-05-09 09:00 madshi Status assigned => feedback
2018-05-09 10:18 Alessa Note Added: 0002288
2018-05-09 10:18 Alessa Status feedback => assigned
2018-05-09 11:28 Alessa Note Edited: 0002288 View Revisions
2018-09-17 23:47 madshi Note Added: 0002380
2018-09-17 23:47 madshi Status assigned => closed
2018-09-17 23:47 madshi Resolution open => no change required
2019-03-03 14:30 Muhd madVR Version 0.92.14 => 0.92.17
2019-03-03 14:30 Muhd Splitter (with version info) 0.66.0.33-git => 0.68.1.33-git
2019-03-03 14:30 Muhd Decoder (with version info) 0.66.0.33-git => 0.68.1.33-git
2019-03-03 14:30 Muhd GPU Manufacturer AMD => NVidia
2019-03-03 14:30 Muhd GPU Model R9 380X => GTX 970
2019-03-03 14:30 Muhd GPU Driver Version 18.3.4 => 390.77
2019-03-03 14:30 Muhd Note Added: 0002494
2019-03-03 14:30 Muhd Status closed => feedback
2019-03-03 14:30 Muhd Resolution no change required => reopened
2019-03-03 14:52 madshi Note Added: 0002495
2019-03-04 12:35 Muhd Note Added: 0002498
2019-03-04 12:35 Muhd Note Edited: 0002498 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker